import es
import playerlib
import random

from mcolormsglib import mcolormsg

dico_team = {   0:  '#un',
                1:  '#spec',
                2:  '#t',
                3:  '#ct',
            }

def load():
    es.addons.registerSayFilter(SayFilterCallBack)

def unload():
    es.addons.unregisterSayFilter(SayFilterCallBack)

def SayFilterCallBack(userid, text, team):
    text_mod = mcolormsg('random_color')
    if not team:
        text_mod.create('%s: ' % es.getplayername(userid), 240, 50, 240)
        text_mod.concat(text.strip('"'), random.randint(0, 255), random.randint(0, 255), random.randint(0, 255))
        text_mod.msg()
    else:
        text_mod.create('[Team] ', 255, 0, 0)
        text_mod.concat('%s: ' % es.getplayername(userid), 125, 125, 125)
        text_mod.concat(text.strip('"'), random.randint(0, 255), random.randint(0, 255), random.randint(0, 255))
        for player in playerlib.getUseridList(dico_team[es.getplayerteam(userid)]):
            text_mod.tell(player)
    return (False, False, False)
    
